function  result=nic_unzipFile(zipFileName,zipFile,zipFilePath,zipFile1)

    try
    fileNames=unzip(zipFileName,zipFilePath);
    ln=dir(fullfile(zipFilePath,zipFile));
    
    if(exist('zipFile1','var'))
       ln1=dir(fullfile(zipFilePath,zipFile1));
       ln=[ln;ln1];
    end
    
    for i=1:length(fileNames)
        k=0;
        [a b c]=fileparts(fileNames{i});
        fileNames{i}=[b,c];
        for j=1:length(ln)
            k=k+1;
           if(strmatch(fileNames{i},ln(j).name)) 
             k=k-1;
              break;  
           end
        end
        if(k==length(ln))
            delete(fullfile(zipFilePath,fileNames{i}))
        end
        
    end
    result=1;
    catch
        result=0;
    end

return;